import { getRole } from 'api/getRole';
import { useEffect, useState } from 'react';

export const useRole = (): [
  string,
  React.Dispatch<React.SetStateAction<string>>,
] => {
  const [role, setRole] = useState('');

  useEffect(() => {
    let isMounted = true;
    // Initialize asking the server if this session is already logged in.

    getRole().then((responseRole) => {
      if (isMounted) {
        setRole(responseRole);
      }
    });
    return () => {
      isMounted = false;
    };
  }, []);
  return [role, setRole];
};
